EDIT - bug #9543

Revise, harmonize media list in SpecimenOrObservationBaseDTO vs.
DerivedUnitFacade.getMediaTextData()

03/22/2021 02:38 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority13 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

DerivedUnitFacade.getMediaTextData() is being used to provide the media lists for the DerivedUnit and FieldUnit represented by the
DerivedUnitFacade This implementation only covers the media stored in the "ObservationlmageGalleryTextData"

A parallel implementation exist in SpecimenOrObservationBaseDTO.collectMedia(SpecimenOrObservationBase<?>
specimenOrObservation)

Related issues:
Related to EDIT - feature request #6866: Improve specimen page Closed

History

#1 - 03/22/2021 02:39 PM - Andreas Kohlbecker

- Related to feature request #6866: Improve specimen page added
#2 - 03/22/2021 02:39 PM - Andreas Kohlbecker
- Subject changed from Revise harmonize media list in SpecimenOrObservationBaseDTO vs. DerivedUnitFacade.getMediaTextData() to Revise,

harmonize media list in SpecimenOrObservationBaseDTO vs. DerivedUnitFacade.getMediaTextData()

#3 - 04/19/2021 04:19 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46
